Last Comment Bug 461351 - Drop unnecessary includes from some of Thunderbird's migration code.
: Drop unnecessary includes from some of Thunderbird's migration code.
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Migration (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: Thunderbird 3.0b1
Assigned To: Mark Banner (:standard8)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-23 08:14 PDT by Mark Banner (:standard8)
Modified: 2008-10-28 02:35 PDT (History)
2 users (show)
standard8: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
The fix (2.17 KB, patch)
2008-10-23 08:14 PDT, Mark Banner (:standard8)
mozilla: review+
Details | Diff | Splinter Review

Description Mark Banner (:standard8) 2008-10-23 08:14:34 PDT
Created attachment 344474 [details] [diff] [review]
The fix

I wanted to drop the current (unnecessary) nsIPasswordManagerInternal.h includes in mail/components/migration, but then I thought there may be some others, so I did a bit of digging, and removed a few extra.

This is just a very small part of the password manager migration/cleanup.

I've tested it on my mac, and on linux (Linux builds with frozen API in that dir) and it seems to work fine.
Comment 1 David :Bienvenu 2008-10-23 08:21:20 PDT
Comment on attachment 344474 [details] [diff] [review]
The fix

I'm curious why we're still building the dogbert stuff - I believe that's migration from 4.x, and I thought we'd dropped that.
Comment 2 Joe Sabash [:JoeS1] 2008-10-23 15:02:43 PDT
I remember that being discussed, but the import wizard still offers it.
(ran into it when running litmus on a3 where it promptly crashed)
Comment 3 Wayne Mery (:wsmwk, NI for questions) 2008-10-24 04:27:08 PDT
(In reply to comment #1)
> (From update of attachment 344474 [details] [diff] [review])
> I'm curious why we're still building the dogbert stuff - I believe that's
> migration from 4.x, and I thought we'd dropped that.

kill 4.x import did not git finished in bug 379068, "Remove support for Netscape 4.x migration from the trunk".  Discussed with bienvenu on IRC that 4.x *import* should indeed be killed.  Do we reopen 379068, or do we handle it in this or a new bug?  Just need to ensure it doesn't impact imports from newer releases. 

(And remove 4.x import from litmus tests.  Check if 6.x and 7.x import is in litmus tests)
Comment 4 Mark Banner (:standard8) 2008-10-28 02:35:03 PDT
I checked this in a few days ago. Various discussions on import capabilities have been started elsewhere.

http://hg.mozilla.org/comm-central/rev/f9d36b5f01e4

Note You need to log in before you can comment on or make changes to this bug.